Bug 4870 - Damaged status does not prevent items from being selected for reserves
Summary: Damaged status does not prevent items from being selected for reserves
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Christophe Croullebois
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-09 19:28 UTC by Liz Rea
Modified: 2013-12-05 20:05 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch for holds queue report generation (1.19 KB, patch)
2011-03-31 16:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Revised fix (1.59 KB, patch)
2011-03-31 17:41 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2010-06-09 19:28:38 UTC
Damaged status on items (952$4) seems to allow items to be selected for reserve. This happens both when the barcode is checked in and when the hold queue report is generated.

Preferred behavior (open for discussion, of course) would be for damaged status to disallow reserves on items marked "Damaged," similar to items with a "Missing" status (though missing clears the status on checkin, we would NOT want that behavior for Damaged. It should be a manual status change).
Comment 1 Owen Leonard 2011-03-31 16:50:38 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-03-31 17:12:03 UTC
I think this should be controlled by AllowHoldsOnDamagedItems sys pref?
Comment 3 bchurch 2011-03-31 17:18:37 UTC
This will work as long as Koha applies any hold policies and restrictions when holds are placed, but also when items are checked out and checked in.
Comment 4 Owen Leonard 2011-03-31 17:41:56 UTC
Created attachment 3581 [details] [review]
Revised fix

Revision adds a check for the AllowHoldsOnDamagedItems preference to determine whether a damaged item should be included in the holds queue report.
Comment 5 Owen Leonard 2011-03-31 18:04:09 UTC
> This will work as long as Koha applies any hold policies and restrictions when
> holds are placed, but also when items are checked out and checked in.

Beverly, can you elaborate?
Comment 6 bchurch 2011-04-01 21:45:39 UTC
I just did a test on 3.2 database which has 3 branches. I set up a default hold policy for all branches which specified that the "From home library" policy applies to DVDs. I then placed a hold on a DVD title for a patron registered at branch #1 and a second hold for a patron at branch #2. When I checked in the item belonging to branch #2 at branch #2, Koha wanted to use this item to fill the hold for the patron at branch #1. This means that Koha is not applying the hold policies when items are checked in. The same thing happens if I try to check out the item belonging to branch #2 to a patron registered at branch #1 -- Koha tries to fill the hold for the patron at branch #1.
Comment 7 Owen Leonard 2011-04-02 00:10:25 UTC
Those may be valid issues, but they don't seem to be related to this bug. I suggest filing a new bug with these details.
Comment 8 Chris Cormack 2011-04-06 05:15:45 UTC
Signed off patch not attached, and not on list
Comment 9 Chris Cormack 2011-04-06 08:26:16 UTC
Pushed, please test
Comment 10 MJ Ray (software.coop) 2011-04-11 08:32:08 UTC
This bug is mentioned in:
Partial fix for Bug 4870,	Damaged status does not prevent items from being selected for	reserves http://lists.koha-community.org/pipermail/koha-patches/2011-March/014404.html
Partial fix for Bug 4870,	Damaged status does not prevent items from being selected for	reserves http://lists.koha-community.org/pipermail/koha-patches/2011-March/014406.html
Comment 11 Chris Cormack 2013-04-20 22:13:36 UTC
Released in 3.4.0